summaryrefslogtreecommitdiffstats
path: root/UnixPkg
diff options
context:
space:
mode:
authorjljusten <jljusten@6f19259b-4bc3-4df7-8a09-765794883524>2010-10-13 23:02:14 +0000
committerjljusten <jljusten@6f19259b-4bc3-4df7-8a09-765794883524>2010-10-13 23:02:14 +0000
commit75f18f34356b29134a2bd9dbf8cc4889acfc44be (patch)
treebe91eb1b95a9f45a362432c2a67ccff367f4aa86 /UnixPkg
parenta069372cedb3b8bed90ef3f76d3af60f90fc3b16 (diff)
downloadedk2-75f18f34356b29134a2bd9dbf8cc4889acfc44be.tar.gz
edk2-75f18f34356b29134a2bd9dbf8cc4889acfc44be.tar.bz2
edk2-75f18f34356b29134a2bd9dbf8cc4889acfc44be.zip
UnixPkg: Allow build.sh/build64.sh to be run from the edk2 root
You can now use this sequence to build UnixPkg: $ cd /path/to/edk2 $ UnixPkg/build.sh or $ UnixPkg/build64.sh The old method is still valid: $ cd /path/to/edk2/UnixPkg $ ./build.sh git-svn-id: https://edk2.svn.sourceforge.net/svnroot/edk2/trunk/edk2@10934 6f19259b-4bc3-4df7-8a09-765794883524
Diffstat (limited to 'UnixPkg')
-rwxr-xr-xUnixPkg/build.sh29
-rwxr-xr-xUnixPkg/build64.sh12
2 files changed, 27 insertions, 14 deletions
diff --git a/UnixPkg/build.sh b/UnixPkg/build.sh
index e3a208f9b4..a77a5973a0 100755
--- a/UnixPkg/build.sh
+++ b/UnixPkg/build.sh
@@ -1,6 +1,8 @@
#!/bin/bash
#
# Copyright (c) 2008 - 2009, Apple Inc. All rights reserved.<BR>
+# Copyright (c) 2010, Intel Corporation. All rights reserved.<BR>
+#
# This program and the accompanying materials
# are licensed and made available under the terms and conditions of the BSD License
# which accompanies this distribution. The full text of the license may be found at
@@ -14,14 +16,16 @@ set -e
shopt -s nocasematch
-
#
# Setup workspace if it is not set
#
if [ -z "$WORKSPACE" ]
then
echo Initializing workspace
- cd ..
+ if [ ! -e `pwd`/edksetup.sh ]
+ then
+ cd ..
+ fi
# This version is for the tools in the BaseTools project.
# this assumes svn pulls have the same root dir
# export EDK_TOOLS_PATH=`pwd`/../BaseTools
@@ -39,18 +43,18 @@ fi
TARGET_TOOLS=MYTOOLS
case `uname` in
CYGWIN*) echo Cygwin not fully supported yet. ;;
- Darwin*)
+ Darwin*)
Major=$(uname -r | cut -f 1 -d '.')
if [[ $Major == 9 ]]
then
echo UnixPkg requires Snow Leopard or later OS
exit 1
- else
+ else
TARGET_TOOLS=XCODE32
- fi
+ fi
;;
Linux*) TARGET_TOOLS=ELFGCC ;;
-
+
esac
BUILD_ROOT_ARCH=$WORKSPACE/Build/Unix/DEBUG_"$TARGET_TOOLS"/IA32
@@ -74,7 +78,7 @@ for arg in "$@"
do
if [[ $arg == run ]]; then
case `uname` in
- Darwin*)
+ Darwin*)
#
# On Darwin we can't use dlopen, so we have to load the real PE/COFF images.
# This .gdbinit script sets a breakpoint that loads symbols for the PE/COFFEE
@@ -82,14 +86,21 @@ do
#
cp $WORKSPACE/UnixPkg/.gdbinit $WORKSPACE/Build/Unix/DEBUG_"$TARGET_TOOLS"/IA32
;;
- esac
+ esac
/usr/bin/gdb $BUILD_ROOT_ARCH/SecMain -q -cd=$BUILD_ROOT_ARCH
exit
fi
if [[ $arg == cleanall ]]; then
- make -C $WORKSPACE/BaseTools clean
+ make -C $WORKSPACE/BaseTools clean
+ build -p $WORKSPACE/GccShellPkg/GccShellPkg.dsc -a IA32 -t $TARGET_TOOLS -n 3 clean
+ exit $?
+ fi
+
+ if [[ $arg == clean ]]; then
+ build -p $WORKSPACE/GccShellPkg/GccShellPkg.dsc -a IA32 -t $TARGET_TOOLS -n 3 clean
+ exit $?
fi
if [[ $arg == shell ]]; then
diff --git a/UnixPkg/build64.sh b/UnixPkg/build64.sh
index 68d705ed5c..246c33ef3b 100755
--- a/UnixPkg/build64.sh
+++ b/UnixPkg/build64.sh
@@ -1,6 +1,8 @@
#!/bin/bash
#
# Copyright (c) 2008 - 2009, Apple Inc. All rights reserved.<BR>
+# Copyright (c) 2010, Intel Corporation. All rights reserved.<BR>
+#
# This program and the accompanying materials
# are licensed and made available under the terms and conditions of the BSD License
# which accompanies this distribution. The full text of the license may be found at
@@ -20,7 +22,10 @@ shopt -s nocasematch
if [ -z "$WORKSPACE" ]
then
echo Initializing workspace
- cd ..
+ if [ ! -e `pwd`/edksetup.sh ]
+ then
+ cd ..
+ fi
# This version is for the tools in the BaseTools project.
# this assumes svn pulls have the same root dir
# export EDK_TOOLS_PATH=`pwd`/../BaseTools
@@ -101,13 +106,10 @@ do
exit $?
fi
-
if [[ $arg == shell ]]; then
- build -p $WORKSPACE/GccShellPkg/GccShellPkg.dsc -a X64 -t $UNIXPKG_TOOLS -n 3 $2 $3 $4 $5 $6 $7 $8
+ build -p $WORKSPACE/GccShellPkg/GccShellPkg.dsc -a X64 -t $UNIXPKG_TOOLS -n 3 $2 $3 $4 $5 $6 $7 $8
exit $?
fi
-
-
done